Replaced /bin/sh by /bin/bash
[hvlinux.git] / stage2 / cis-psmisc
index acfde61..2646a1d 100755 (executable)
@@ -1,4 +1,6 @@
-#!/bin/sh
+#!/bin/bash
+set -o errexit
+
 # First argument of this script is the package name
 
 # Reading system configuration informations, functions and package versions.
@@ -7,22 +9,22 @@ source ../functions
 source ../packages-list
 
 # Applying patches (if any)
-apply_patches ${1} &&
+apply_patches ${1}
 
 # By default, Psmisc's pidof program is not installed. This usually is
 # not a problem because it is installed later in the Sysvinit package,
 # which provides a better pidof program.
 
-cd ${LFS_TMP}/${1}-build &&
+cd ${LFS_TMP}/${1}-build
 ../${1}/configure \
-    --prefix=/usr \
-    --exec-prefix="" &&
-make -j ${MAKEJOBS} &&
-make install &&
+    --prefix=/usr
+make -j ${MAKEJOBS}
+make install
 
-# There is no reason for the pstree and pstree.x11 programs to reside
-# in /bin. Therefore, move them to /usr/bin:
-mv -v /bin/pstree* /usr/bin
+# By default, Psmisc's pidof program is not installed. This usually is not a
+# problem because it is installed later in the Sysvinit package, which provides
+# a better pidof program. If Sysvinit will not be used for a particular system,
+# complete the installation of Psmisc by creating the following symlink:
+#ln -sv killall /bin/pidof
 
-# Return last error
 exit $?